| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods
Chapter Class Reference

`#import <Chapter.h>`

## Instance Methods
(instancetype) | - init:
(NSNumber *) | - getId
(NSString *) | - getTimeBase
(NSNumber *) | - getStart
(NSString *) | - getStartTime
(NSNumber *) | - getEnd
(NSString *) | - getEndTime
(NSDictionary *) | - getTags
(NSString *) | - getStringProperty:
(NSNumber *) | - getNumberProperty:
(id) | - getProperty:
(NSDictionary *) | - getAllProperties

## Detailed Description

Chapter class.

Definition at line 36 of file Chapter.h.

## Method Documentation

## ◆ getAllProperties

- (NSDictionary *) getAllProperties |  |  |

Returns all chapter properties defined.

Returns
  all chapter properties in a dictionary or nil if no properties are defined

Definition at line 28 of file Chapter.m.

## ◆ getEnd

- (NSNumber *) getEnd |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getEndTime

- (NSString *) getEndTime |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getId

- (NSNumber *) getId |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getNumberProperty:

- (NSNumber *) getNumberProperty: |  | (NSString*) | key |

Returns the chapter property associated with the key.

Returns
  chapter property as number or nil if the key is not found

Definition at line 28 of file Chapter.m.

## ◆ getProperty:

- (id) getProperty: |  | (NSString*) | key |

Returns the chapter property associated with the key.

Returns
  chapter property as id or nil if the key is not found

Definition at line 28 of file Chapter.m.

## ◆ getStart

- (NSNumber *) getStart |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getStartTime

- (NSString *) getStartTime |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getStringProperty:

- (NSString *) getStringProperty: |  | (NSString*) | key |

Returns the chapter property associated with the key.

Returns
  chapter property as string or nil if the key is not found

Definition at line 28 of file Chapter.m.

## ◆ getTags

- (NSDictionary *) getTags |  |  |

Definition at line 28 of file Chapter.m.

## ◆ getTimeBase

- (NSString *) getTimeBase |  |  |

Definition at line 28 of file Chapter.m.

## ◆ init:

- (instancetype) init: |  | (NSDictionary*) | chapterDictionary |

Initial value:
{
NSDictionary *dictionary

Definition at line 28 of file Chapter.m.

The documentation for this class was generated from the following files:

- Chapter.h
- Chapter.m